
set(hdrs
	include/pw/geometry/primitives.hpp
	)

set(srcs
	src/primitives.cpp
	)

add_library(pwgeometry
	STATIC
	${hdrs}
	${srcs}
	)

target_include_directories(
	pwgeometry
	PUBLIC
	include
	)

target_include_directories(
	pwgeometry
	PUBLIC
	)

target_link_libraries(pwgeometry pwcore)

#add_subdirectory(tests)
